package org.relaxng.xpathlib;

import org.relaxng.datatype.DatatypeLibrary;
import org.relaxng.datatype.DatatypeLibraryFactory;

public class DatatypeLibraryFactoryImpl implements DatatypeLibraryFactory
{
	private static final String URI = "http://relaxng.org/ns/xpathlib/1.0";
	
	public DatatypeLibrary createDatatypeLibrary( String uri ) {
		// if the specified URI is ours, return a new library.
		if( uri.equals(this.URI) )
			return new DataTypeLibraryImpl();
		else
			return null;
	}
}
